Bug 1856467 - release-openshift-ocp-installer-e2e-aws-proxy-4.6 is failing on `An error occurred (ValidationError) when calling the CreateStack operation: Parameter 'MasterInstanceType' must be one of AllowedValues`
Summary: release-openshift-ocp-installer-e2e-aws-proxy-4.6 is failing on `An error occ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Abhinav Dahiya
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-13 17:47 UTC by Vadim Rutkovsky
Modified: 2020-10-27 16:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:13:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3947 0 None closed Bug 1856467: upi/aws: add m5 instances to allowed list for upi templates 2020-09-21 15:31:18 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:14:27 UTC

Description Vadim Rutkovsky 2020-07-13 17:47:16 UTC
release-openshift-ocp-installer-e2e-aws-proxy-4.6 job has been failing for the whole week

testgrid: https://testgrid.k8s.io/redhat-openshift-ocp-release-4.6-informing#release-openshift-ocp-installer-e2e-aws-proxy-4.6

Search: https://search.ci.openshift.org/?search=Parameter+%27MasterInstanceType%27+must+be+one+of+AllowedValues&maxAge=336h&context=1&type=build-log&name=aws.*proxy&maxMatches=5&maxBytes=20971520&groupBy=job

https://deck-ci.apps.ci.l2s4.p1.openshiftapps.com/view/gcs/origin-ci-test/logs/release-openshift-ocp-installer-e2e-aws-proxy-4.6/1282363761063104512 shows

```
Successfully installed awscli-1.18.97 botocore-1.17.20 colorama-0.4.3 docutils-0.15.2 futures-3.3.0 jmespath-0.10.0 pyasn1-0.4.8 python-dateutil-2.8.1 rsa-4.5 s3transfer-0.3.3 urllib3-1.25.9
{
    "StackId": "arn:aws:cloudformation:us-east-1:460538899914:stack/ci-op-w5z903cw-098c6-vpc/4904b380-c464-11ea-8165-0ee829539650"
}
{
    "StackId": "arn:aws:cloudformation:us-east-1:460538899914:stack/ci-op-w5z903cw-098c6-infra/c880a830-c464-11ea-bc41-12a640cb526e"
}
{
    "StackId": "arn:aws:cloudformation:us-east-1:460538899914:stack/ci-op-w5z903cw-098c6-security/6bfcc4d0-c465-11ea-806a-0e8a861a6983"
}
creating proxy...
{
    "StackId": "arn:aws:cloudformation:us-east-1:460538899914:stack/ci-op-w5z903cw-098c6-proxy/c790d480-c465-11ea-8200-126c97cb5bc1"
}
Proxy is available at http://ci-op-w5z903cw-098c6:b246c1479344033d33da16036559a349@squid.ci-op-w5z903cw-098c6.origin-ci-int-aws.dev.rhcloud.com:3128/
TLS Proxy is available at https://ci-op-w5z903cw-098c6:b246c1479344033d33da16036559a349@squid.ci-op-w5z903cw-098c6.origin-ci-int-aws.dev.rhcloud.com:3130/
{
    "StackId": "arn:aws:cloudformation:us-east-1:460538899914:stack/ci-op-w5z903cw-098c6-bootstrap/58ed5ac0-c466-11ea-92c8-12709ad3d671"
}

An error occurred (ValidationError) when calling the CreateStack operation: Parameter 'MasterInstanceType' must be one of AllowedValues

```

Comment 1 Steve Kuznetsov 2020-07-16 23:12:29 UTC
This looks like some type of misconfiguration in the job and not a test infrastructure issue.

Comment 2 Abhinav Dahiya 2020-07-20 17:22:41 UTC
I think network edge team has agreed to help the installer team to help with proxy related CI jobs to moving to them for triage and fix

Comment 3 Andrew McDermott 2020-07-21 16:16:24 UTC
At face value this looks like a configuration issue so moving component back to installer. Happy to consult on proxy issues but I don't believe there is anything for the net edge team to fix here. Please ping on forum-network-edge for help. TIA.

Comment 8 errata-xmlrpc 2020-10-27 16:13:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.